
#ifndef CMDU_VALIDATE
#define CMDU_VALIDATE


bool validate_channel_scan_request(struct cmdu_buff *cmdu, struct tlv *tv[][16]);
bool validate_channel_scan_report(struct cmdu_buff *cmdu, struct tlv *tv_tsp[][16],
		struct tlv *tv_scan[], int *num);
bool validate_topology_response(struct cmdu_buff * cmdu, struct tlv *tv[][16]);
bool validate_topology_query(struct cmdu_buff *cmdu, struct tlv *tv[][16]);
bool validate_ap_metric_query(struct cmdu_buff *cmdu, struct tlv *tv[][16]);
bool validate_ap_metric_resp(struct cmdu_buff *cmdu, struct tlv *tv[][16]);
bool validate_ap_cap_report(struct cmdu_buff *cmdu, struct tlv *tv[][16]);
bool validate_bksta_cap_report(struct cmdu_buff *cmdu, struct tlv *tv[][16]);
bool validate_operating_channel_report(struct cmdu_buff *cmdu, struct tlv *tv[][16]);
bool validate_autoconfig_response(struct cmdu_buff *cmdu, struct tlv *tv[][16]);
bool validate_topology_notification(struct cmdu_buff *cmdu, struct tlv *tv[][16]);
bool validate_disassoc_stats(struct cmdu_buff *cmdu, struct tlv *tv[][16]);
bool validate_client_cap_query(struct cmdu_buff *cmdu, struct tlv *tv[][16]);
bool validate_client_cap_report(struct cmdu_buff *cmdu, struct tlv *tv[][16]);
bool validate_unassoc_sta_link_metric_query(struct cmdu_buff *cmdu,
		struct tlv *tv[][16]);
bool validate_unassoc_sta_link_metric_resp(struct cmdu_buff *cmdu,
		struct tlv *tv[][16]);

#endif	// CMDU_VALIDATE
